- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
pdftron::PDF::PDFViewCtrl::EventHandlers Struct Reference

`#include <PDFViewCtrl.h>`

## Public Member Functions
| EventHandlers ()

## Public Attributes
MouseEventHandler | mouse_move
MouseEventHandler | mouse_enter
MouseEventHandler | mouse_leave
MouseEventHandler | mouse_left_down
MouseEventHandler | mouse_left_up
MouseEventHandler | mouse_left_dclick
MouseEventHandler | mouse_right_down
MouseEventHandler | mouse_right_up
MouseEventHandler | mouse_right_dclick
MouseEventHandler | mouse_middle_down
MouseEventHandler | mouse_middle_up
MouseEventHandler | mouse_middle_dclick
MouseEventHandler | on_mousewheel
MouseEventHandler | on_context_menu
KeyEventHandler | key_down
KeyEventHandler | key_up
KeyEventHandler | character_entered
PaintEventHandler | on_paint
SizeEventHandler | on_size
WindowEventHandler | on_window_event
TextFindDoneHandler | on_find_text_done
AnnotationEditPermissionHandler | on_edit_annotation
void * | custom_data

## Detailed Description

Class containing the event handlers to be called when certain GUI actions are happening

Definition at line 311 of file PDFViewCtrl.h.

## Constructor & Destructor Documentation

pdftron::PDF::PDFViewCtrl::EventHandlers::EventHandlers | ( |  | ) |

## Member Data Documentation

KeyEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::character_entered

Definition at line 329 of file PDFViewCtrl.h.

void* pdftron::PDF::PDFViewCtrl::EventHandlers::custom_data

Definition at line 336 of file PDFViewCtrl.h.

KeyEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::key_down

Definition at line 327 of file PDFViewCtrl.h.

KeyEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::key_up

Definition at line 328 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_enter

Definition at line 314 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_leave

Definition at line 315 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_left_dclick

Definition at line 318 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_left_down

Definition at line 316 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_left_up

Definition at line 317 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_middle_dclick

Definition at line 324 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_middle_down

Definition at line 322 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_middle_up

Definition at line 323 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_move

Definition at line 313 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_right_dclick

Definition at line 321 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_right_down

Definition at line 319 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::mouse_right_up

Definition at line 320 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::on_context_menu

Definition at line 326 of file PDFViewCtrl.h.

AnnotationEditPermissionHandler pdftron::PDF::PDFViewCtrl::EventHandlers::on_edit_annotation

Definition at line 334 of file PDFViewCtrl.h.

TextFindDoneHandler pdftron::PDF::PDFViewCtrl::EventHandlers::on_find_text_done

Definition at line 333 of file PDFViewCtrl.h.

MouseEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::on_mousewheel

Definition at line 325 of file PDFViewCtrl.h.

PaintEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::on_paint

Definition at line 330 of file PDFViewCtrl.h.

SizeEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::on_size

Definition at line 331 of file PDFViewCtrl.h.

WindowEventHandler pdftron::PDF::PDFViewCtrl::EventHandlers::on_window_event

Definition at line 332 of file PDFViewCtrl.h.

The documentation for this struct was generated from the following file:

- PDF/PDFViewCtrl.h